<?php
require_once 'MyController.php';

class RemindersController extends MyController
{
	private $remModel = "";

    // default constructor
    function __construct() {
    	$this->remModel = new RemindersModel();
    }

    public function newReminder($iduser, $title, $description) {

        // New Reminder
        //$remModel = new RemindersModel();
        $remNew = $this->remModel->createReminder($iduser, $title, $description);
        return $remNew;
    }

    public function getReminders($iduser=false) {

    	// get reminders list
    	
    	$listRem = $this->remModel->listReminders($iduser);
    	return $listRem;
    }

    public function getReminderInfo($idrem) {

        // get reminders list
        
        $remDetail = $this->remModel->getReminderDetails($idrem);
        return $remDetail;
    }

    public function searchReminders($text) {

        // search emotions by title or description

        $reminders = $this->remModel->searchReminders($text);
        return $reminders;
    }

    public function getEmotions() {

        // get reminders list
        
        $emotions = $this->remModel->getListEmotions();
        return $emotions;
    }

    public function getReminderPosts($idrem="") {

        // get reminder posts list
        
        if($idrem!=""){
            $listPosts = $this->remModel->listReminderPosts($idrem); 
        }else{
            $listPosts = $this->remModel->listReminderPosts();
        }
        
        return $listPosts;
    }

    public function getReminderPostComments($idrempost) {

        // get post comments list
        
        $listComments = $this->remModel->listReminderPostComments($idrempost);
        return $listComments;
    }

    public function newReminderPost($idrem, $iduser, $text, $photopath="", $emotion) {

        $remPostNew = $this->remModel->createReminderPost($idrem, $iduser, $text, $photopath, $emotion);
        return $remPostNew;
    }

    public function newPostComment($idrempost, $idrem, $iduser, $text) {

        $remPostComment = $this->remModel->createPostComment($idrempost, $idrem, $iduser, $text);
        return $remPostComment;
    }

    public function getReminderTitle($idrem) {
        $title = $this->remModel->getReminderTitleByIdRem($idrem);
        return $title;
    }

    public function getUserEmail($iduser) {        
        $userEmail = $this->remModel->getUserEmailFromIdUser($iduser);
        return $userEmail;
    }

    public function sendTrustRequest($iduserfrom, $iduserto, $reminderid) {       
        $request = $this->remModel->userTrustReminder($iduserfrom, $iduserto, $reminderid);
        return $request;
    }

    public function existsTrustRequest($iduserfrom, $iduserto, $reminderid) {
        $request = $this->remModel->existsTrust($iduserfrom, $iduserto, $reminderid);
        return $request;
    }

    public function pendingTrustRequest($iduserfrom, $iduserto, $reminderid) {
        $request = $this->remModel->pendingTrust($iduserfrom, $iduserto, $reminderid);
        return $request;
    }

    public function getNotifiers($iduser) {
        $nrequests = $this->remModel->getPendingRequests($iduser);
        return $nrequests;
    }

    public function getNotifierDetail($idtrust) {
        $notify = $this->remModel->getNotifierById($idtrust);
        return $notify;
    }

    public function acceptNotifier($idtrust) {
        $notify = $this->remModel->acceptNotifierById($idtrust);
        return $notify;
    }

    public function denyNotifier($idtrust) {
        $notify = $this->remModel->denyNotifierById($idtrust);
        return $notify;
    }

}

?>