<?php

require_once 'controllers/UsersController.php';
require_once 'models/UsersModel.php';

session_start();

if(isset($_SESSION['iduser'])){
    header("location: main.php");
}

?>

<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Recoly | Share your moments</title>
    <meta name="description" content="Share your best moments with your trust friend's circles.">
    <meta name="author" content="Sergio Cantón Gavilán (scantong@uoc.edu)">
    <!-- Mobile viewport optimization http://goo.gl/b9SaQ -->
    <meta name="HandheldFriendly" content="True">
    <meta name="MobileOptimized" content="320">
    <meta http-equiv="cleartype" content="on">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <!-- For iPhone 4 with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="assets/images/icon@2x.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="assets/images/icon-72.png">
    <link rel="apple-touch-icon-precomposed" href="assets/images/icon.png">
    <link rel="apple-touch-startup-image" href="assets/images/default.png">
    <!-- Main Stylesheet -->
    <link rel="stylesheet" href="./lungo.js/lungo-1.2.css">
    <link rel="stylesheet" href="./lungo.js/lungo.theme.default.css">

    <!-- CSS3 -->
    <style>
        @-webkit-keyframes flow-show {
            0% { -webkit-transform: translateX(100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }

        @-webkit-keyframes flow-show-revoke {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(100%) scale(.7);}
        }

        @-webkit-keyframes flow-hide {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7); }
            100% { -webkit-transform: translateX(-100%) scale(.7); }
        }

        @-webkit-keyframes flow-hide-revoke {
            0% { -webkit-transform: translateX(-100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }
    </style>
</head>

<body class="app">

    <!-- ============================= Welcome Section ============================= -->

    <section id="welcome">
        <header data-title="Welcome to Recoly!">
            <nav class="onright">
                <a href="#about" data-target="aside" class="current" class="button onright"><abbr>About</abbr></a>
            </nav>
        </header>

        
        <?php
            // Fase de Login

            if($_SERVER['REQUEST_METHOD']=='POST'){
                $errorLogon = $errorEmailFormat = false;

                // filled fields
                if (isset($_POST['user']) && $_POST['user']!="" && isset($_POST['pass']) && $_POST['pass']!=""){

                    if(!eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$", strtolower($_POST['user']))) {
                        
                        // Error de format
                        $errorEmailFormat = true;
                    }else{

                        $userController = new UsersController();
                       
                        // Crida al mètode signup del controlador d'usuari
                        $idUser = $userController->signup($_POST['user'], $_POST['pass'], false);

                        // Usuari existent i procès de login amb èxit
                        if($idUser) {
                            // Es crea la sessió d'usuari que mantenim durant tota l'estada a l'app
                            $_SESSION['iduser']= $idUser[0]->userid;
                            $userController->logonReg($_SESSION['iduser']);

                            // Mantenim registre del darrer login fet per l'usuari
                            $userController->logonReg($_SESSION['iduser']);
                            header("location: main.php");
                        }
                        // Usuari no existeix o procès login fallit
                        else{
                            // Comprovem si l'usuari no existeix al sistema -> procedim a la seva creació automàtica
                            $userExists = $userController->userExists($_POST['user']);
                            if(!$userExists){
                                // Creem el nou usuari (nou registre)
                                $idUser = $userController->createUser($_POST['user'], $_POST['pass']);

                                // Usuari creat. Creem sessió amb idusuari i entrem a la pantalla inicial de la app.
                                if($idUser != ""){
                                    // session create
                                    $_SESSION['iduser']= $idUser;
                                    $userController->logonReg($_SESSION['iduser']);
                                    header("location: main.php");
                                }

                            }else{
                                // Procès login fallit -> registrem error per a informar l'usuari.
                                $errorLogon = true;
                            }
                            
                        }
                    }
                } else {
                    $errorLogon = true;
                }                
            }
        ?>

        <!-- ======================== Signup form ===================== -->
        <article id="signup" class="list">
            <ul class="form">
                <form name="signup" id="signup" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
                <!--<li class="anchor" data-icon="edit">Example of inputs</li>-->
                <li>
                    <label>User@recoly.com</label>
                    <input type="text" name="user" id="user" value="" placeholder="your_username@recoly.com"/>
                    <label>Password</label>
                    <input type="password" name="pass" id="pass" value="" placeholder="your secret password"/>
                    <!--<label>Remember my credentials</label>
                    <label class="checkbox onright"><input type="checkbox" id="remember" checked/></label>-->
                </li>
                <li>
                    <!-- Action button (event a llibreria event.js de LungoJS -->
                    <a href="#news" data-target="section" class="button big orange">Register</a>
                    
                    <?php
                        if(isset($errorLogon) && $errorLogon) { 
                    ?>
                        <!--<label red> User/Password mismatch </label>-->
                        <li class="anchor" data-icon="warning">User/Password mismatch</li>
                    <?php } 
                        elseif(isset($errorEmailFormat) && $errorEmailFormat) {
                    ?>
                        <!--<label red> Check email format </label>-->
                        <li class="anchor" data-icon="warning">Check email format</li>
                    <?php }

                    ?>

                    <!--<input type="submit" class="button big orange" name="envia" id="envia" value="Register">-->
                </li>
                </form>
            </ul>
        </article>
    </section>
    
    <!-- LungoJS (Production mode) -->
    <script src="lungo.js/lungo-1.2.js"></script>
    <!-- LungoJS - Sandbox App -->
    <script src="app/app.js"></script>
    <script src="app/data.js"></script>
    <script src="app/events.js"></script>
    <script src="app/services.js"></script>
    <script src="app/view.js"></script>
</body>
</html>