<?php

require_once 'controllers/RemindersController.php';
require_once 'models/RemindersModel.php';

// iniciem la sessió i obtenim l'id usuari
session_start();

if(isset($_SESSION['iduser'])) {
    $iduser = $_SESSION['iduser'];
}

?>

<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Recoly | Share your moments</title>
    <meta name="description" content="Share your best moments with your trust friend's circles.">
    <meta name="author" content="Sergio Cantón Gavilán (scantong@uoc.edu)">
    <!-- Mobile viewport optimization http://goo.gl/b9SaQ -->
    <meta name="HandheldFriendly" content="True">
    <meta name="MobileOptimized" content="320">
    <meta http-equiv="cleartype" content="on">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <!-- For iPhone 4 with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="assets/images/icon@2x.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="assets/images/icon-72.png">
    <link rel="apple-touch-icon-precomposed" href="assets/images/icon.png">
    <link rel="apple-touch-startup-image" href="assets/images/default.png">
    <!-- Main Stylesheet -->
    <link rel="stylesheet" href="./lungo.js/lungo-1.2.css">
    <link rel="stylesheet" href="./lungo.js/lungo.theme.default.css">

    <!-- CSS3 -->
    <style>
        @-webkit-keyframes flow-show {
            0% { -webkit-transform: translateX(100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }

        @-webkit-keyframes flow-show-revoke {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(100%) scale(.7);}
        }

        @-webkit-keyframes flow-hide {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7); }
            100% { -webkit-transform: translateX(-100%) scale(.7); }
        }

        @-webkit-keyframes flow-hide-revoke {
            0% { -webkit-transform: translateX(-100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }
    </style>
</head>

<?php

// Gestió comentaris d'usuaris
if($_SERVER['REQUEST_METHOD']=='POST'){

    // multi-formularis: capturem aquell que conté el texte
    foreach($_POST['ctext'] as $key=>$value) {
        if($value!=""){
            $commentxt = $value;
            $id = $key;
        } 
    }

    // obtenim l'id de la publicació associat al comentari
    foreach($_POST['rempostid'] as $key=>$value) {
        if($value!="" && $key==$id) $rempostid = $value;
    }

    
    // obtenim l'id del record associat a la publicació
    foreach($_POST['remid'] as $key=>$value) {
        if($value!="" && $key==$id) $remid = $value;
    }


    // cridem al mètode newPostComment del controlador de records
    if(isset($rempostid) && isset($remid)) {
        $reminderController = new RemindersController();
        $idComment = $reminderController->newPostComment($rempostid, $remid, $iduser, $commentxt);
    }
}

?>

<body class="app">

    <section id="news">
        <header data-title="Last updates">
            <a href="#menu-aside" class="button onleft" data-target="aside" data-icon="items"></a>
            <nav class="onright">
                <a href="<?php echo $_SERVER['PHP_SELF']; ?>" data-target="article" class="current" data-icon="refresh"></a>
            </nav>
        </header>
        <article id="events" class="list scrollable indented">
            <div>
                    <?php
                        // Instanciem el controlador de records
                        $reminderController = new RemindersController();
                        
                        // Obtenim les darreres publicacions
                        $tmpPosts = $reminderController->getReminderPosts();
                        $remList = array();

                        //Obtenim els ids dels records associats a les publicacions
                        if($tmpPosts) {
                            foreach($tmpPosts as $key=>$value){
                                if(!in_array($tmpPosts[$key]->reminderid,$remList)){
                                    array_push($remList, $tmpPosts[$key]->reminderid);
                                }
                            }

                            // Anem mostrant la informació a la llista per a cada record
                            foreach($remList as $key=>$value) {
                                $remid = $value;
                                $posts = $reminderController->getReminderPosts($value);

                                // Hi ha publicacions associades al record actual
                                if(!empty($posts)) {
                               
                                    // Publicacions: obtenim informació relacionada
                                    foreach ($posts as $key=>$value) {
                                        $useremail = $reminderController->getUserEmail($posts[$key]->userid);
                                ?>
                                    <p class="text"><b><?php echo $useremail[0]->useremail; ?></b> on <u>
                                <?php
                                        $title = $reminderController->getReminderTitle($remid);
                                        echo utf8_decode($title[0]->title);
                                ?>
                                    </u>
                                <?php

                                        $rempostid = $posts[$key]->rempostid;

                                        // Obtenim comentaris associats a cada publicació
                                        $comments = $reminderController->getReminderPostComments($posts[$key]->rempostid);

                                        // Calcul temps darrera publicació
                                        $time = round(abs(mktime() - $posts[$key]->regdate), 0); //seg
                                        $tag = "seg";

                                        if($time > 29030400){
                                            $time = round($time / 29030400);
                                            $tag = "year";
                                        }
                                        elseif($time > 2419200){
                                            $time = round($time / 2419200);
                                            $tag = "month";
                                        }
                                        elseif($time > 604800){
                                            $time = round($time / 604800);
                                            $tag = "week";
                                        }
                                        elseif($time > 86400) {
                                            $time = round($time / 86400);
                                            $tag = "day";
                                        }
                                        elseif ($time > 3600) {
                                            $time = round($time / 3600);
                                            $tag = "hour";
                                        }
                                        elseif ($time > 60) {
                                            $time = round($time / 60);
                                            $tag = "min";
                                        }
                                        else{
                                            $tag = "sec";
                                        }

                                ?>
                                    <div class="onright bubble red" data-icon="clock"><?php echo $time ." ". $tag . " ago"; ?></div></p>
                                    <p class="text"><i>
                                <?php
                                        echo utf8_decode($posts[$key]->text);
                                ?>
                                    </i></p>
                                <?php
                                        //echo "<p class=\"text\">".$posts[$key]->text."</p>";
                                        if($posts[$key]->photopath != "") {
                                ?>
                                    <img src=
                                <?php
                                            echo "'".$posts[$key]->photopath."'";
                                ?>
                                    width="300" height="400">
                                <?php
                                            //echo "<img src=\"".$posts[$key]->photopath."\">";
                                        } // fi if

                                        if(!empty($comments)) {
                                            // loading post comments
                                            foreach ($comments as $key=>$value) {
                                                $useremail = $reminderController->getUserEmail($comments[$key]->userid);
                                ?>
                                    <ul><li>
                                <?php
                                        echo $comments[$key]->text;
                                ?>
                                    <small><strong> on
                                <?php               
                                        echo date('Y-m-d H:m',$comments[$key]->regdate);
                                        echo " | " . $useremail[0]->useremail;
                                ?>
                                    </strong></small>
                                    </li></ul>
                                <?php
                                                //echo "<ul><li>".$comments[$key]->text;
                                                //<li data-image="https://lh5.googleusercontent.com/-Cs6QlrUWB3U/AAAAAAAAAAI/AAAAAAAAAD4/iqfIREPWTvE/s250-c-k/photo.jpg"><small>Amazing last summer on Texas!</small>
                                                //echo "<small><strong>on ".date('Y-m-d',$comments[$key]->regdate) ."</strong></small>";
                                                //echo "</li>";
                                                //echo "</ul>";
                                            }
                                        }
                                ?>
                                    <form name="comment<?php echo $rempostid; ?>" id="comment<?php echo $rempostid; ?>" action=

                                <?php
                                        echo "'".$_SERVER['PHP_SELF']."'";
                                ?>
                                    method="post">
                                <?php
                                        //echo "<form name='comment' id='comment' action='".$_SERVER['PHP_SELF']."' method='post'>";
                                        echo "<li>";
                                        echo "<input type='text' name='ctext[".$rempostid."]' id='ctext[".$rempostid."]' value='' placeholder='Leave your comment'/>";
                                        echo "<input type='hidden' name='rempostid[".$rempostid."]' id='rempostid[".$rempostid."]' value='".$rempostid."' />";
                                        echo "<input type='hidden' name='remid[".$rempostid."]' id='remid[".$rempostid."]' value='".$remid."' />";
                                        //echo "<a href='#newcomment' data-target='section' class='button small orange'>Comment</a>";
                                        echo "<input type='submit' name='sendc' id='sendc' value='Comment' />";
                                        echo "</li>";

                                    } // fi foreach
                                } // fi if
                            } // fi foreach
                    } else {
                        echo "<p class='text'><b>Empty results ...</b></p>";
                    }
                    ?>
            </div>
        </article>
    </section>
    
    <!-- LungoJS (Production mode) -->
    <script src="lungo.js/lungo-1.2.js"></script>
    <!-- LungoJS - Sandbox App -->
    <script src="app/app.js"></script>
    <script src="app/data.js"></script>
    <script src="app/events.js"></script>
    <script src="app/services.js"></script>
    <script src="app/view.js"></script>
</body>
</html>