<?php
require_once 'MyModel.php';
require_once 'library/RecolyDB.php';

class RemindersModel extends MyModel
{
    private $iduser = "";
    private $idrem = "";
    private $title = "";
    private $text = "";
    private $emotion = "";
    private $description = "";
    private $photopath = "";

    // default constructor
    function __construct() {}

    public function createReminder($iduser, $title, $description) {
        $this->iduser = $iduser;
        $this->title = $title;
        $this->description = $description;

        $sql = "insert into tbl_reminder (userid, title, description, regdate) values ('".$this->iduser."','".$this->title."','".$this->description."',".mktime().")";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->prepare($sql);
            $result = $stmt->execute();
            $idRem = $db->lastInsertId();
            return $idRem;
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function createReminderPost($idrem, $iduser, $text, $photopath="", $emotion) {
        $this->iduser = $iduser;
        $this->idrem = $idrem;
        $this->text = $text;
        $this->emotion = $emotion;
        $this->photopath = $photopath;

        $sql = "insert into tbl_reminderPost (reminderid, userid, text, photopath, emotionid, regdate) values (".$this->idrem.",".$this->iduser.",'".$this->text."','".$this->photopath."',". $this->emotion .", ".mktime().")";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->prepare($sql);
            $result = $stmt->execute();
            $idRemPost = $db->lastInsertId();
            return $idRemPost;
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function listReminders($iduser=false) {

        $sql = "select * from tbl_reminder";
        if($iduser) $sql .= " where userid=$iduser";
        $sql .= " order by regdate desc";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->query($sql);
            $result = $stmt->fetchAll(PDO::FETCH_OBJ);
            //$result = $stmt->fetchAll(PDO::FETCH_INTO);
            $db = null;
            if (!empty($result)){
                return $result; 
            }
            else {
                return false;
            }
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function getReminderDetails($idrem) {

        $sql = "select * from tbl_reminder where reminderid=$idrem order by regdate desc";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->query($sql);
            $result = $stmt->fetchAll(PDO::FETCH_OBJ);
            //$result = $stmt->fetchAll(PDO::FETCH_INTO);
            $db = null;
            if (!empty($result)){
                return $result; 
            }
            else {
                return false;
            }
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function searchReminders($text) {

        $sql = "select * from tbl_reminder where title like '%$text%' order by regdate desc";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->query($sql);
            $result = $stmt->fetchAll(PDO::FETCH_OBJ);
            //$result = $stmt->fetchAll(PDO::FETCH_INTO);
            $db = null;
            if (!empty($result)){
                return $result; 
            }
            else {
                return false;
            }
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function getListEmotions() {

        $sql = "select * from tbl_emotions order by emotion desc";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->query($sql);
            $result = $stmt->fetchAll(PDO::FETCH_OBJ);
            //$result = $stmt->fetchAll(PDO::FETCH_INTO);
            $db = null;
            if (!empty($result)){
                return $result; 
            }
            else {
                return false;
            }
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function listReminderPosts($idrem="") {

        if($idrem!=""){
            $sql = "select * from tbl_reminderPost where reminderid=$idrem order by regdate desc";
        }else{
            $sql = "select * from tbl_reminderPost order by regdate desc";
        }
        

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->query($sql);
            $result = $stmt->fetchAll(PDO::FETCH_OBJ);
            //$result = $stmt->fetchAll(PDO::FETCH_INTO);
            $db = null;
            if (!empty($result)){
                return $result; 
            }
            else {
                return false;
            }
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function listReminderPostComments($idrempost) {

        $sql = "select * from tbl_comments where rempostid=$idrempost order by regdate asc";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->query($sql);
            $result = $stmt->fetchAll(PDO::FETCH_OBJ);
            //$result = $stmt->fetchAll(PDO::FETCH_INTO);
            $db = null;
            if (!empty($result)){
                return $result; 
            }
            else {
                return false;
            }
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function createPostComment($idrempost, $idrem, $iduser, $text) {

        $sql = "insert into tbl_comments (rempostid, reminderid, userid, text, regdate) values (".$idrempost.",".$idrem.",'".$iduser."', '".$text."',".mktime().")";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->prepare($sql);
            $result = $stmt->execute();
            $idPostComment = $db->lastInsertId();
            return $idPostComment;
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function getReminderTitleByIdRem($idrem) {

        $sql = "select title from tbl_reminder where reminderid=$idrem";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->query($sql);
            $result = $stmt->fetchAll(PDO::FETCH_OBJ);
            //$result = $stmt->fetchAll(PDO::FETCH_INTO);
            $db = null;
            if (!empty($result)){
                return $result; 
            }
            else {
                return "null";
            }
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function getUserEmailFromIdUser($iduser) {

        $sql = "select useremail from tbl_logon where userid=$iduser";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->query($sql);
            $result = $stmt->fetchAll(PDO::FETCH_OBJ);
            //$result = $stmt->fetchAll(PDO::FETCH_INTO);
            $db = null;
            if (!empty($result)){
                return $result; 
            }
            else {
                return false;
            }
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function userTrustReminder($iduserfrom, $iduserto, $reminderid) {

        $sql = "insert into tbl_trust (iduserfrom, iduserto, reminderid, activ) values (".$iduserfrom.",".$iduserto.",".$reminderid.",'N')";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->prepare($sql);
            $result = $stmt->execute();
            $idTrust = $db->lastInsertId();
            return $idTrust;
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function existsTrust($iduserfrom, $iduserto, $reminderid) {

        $sql = "select trustid from tbl_trust where iduserfrom=$iduserfrom and iduserto=$iduserto and reminderid=$reminderid and activ='y'";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->query($sql);
            $result = $stmt->fetchAll(PDO::FETCH_OBJ);
            //$result = $stmt->fetchAll(PDO::FETCH_INTO);
            $db = null;
            if (!empty($result)){
                return true; 
            }
            else {
                return false;
            }
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function pendingTrust($iduserfrom, $iduserto, $reminderid) {

        $sql = "select trustid from tbl_trust where iduserfrom=$iduserfrom and iduserto=$iduserto and reminderid=$reminderid and activ='n'";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->query($sql);
            $result = $stmt->fetchAll(PDO::FETCH_OBJ);
            //$result = $stmt->fetchAll(PDO::FETCH_INTO);
            $db = null;
            if (!empty($result)){
                return true; 
            }
            else {
                return false;
            }
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function getPendingRequests($iduser) {

        $sql = "select * from tbl_trust where iduserto=$iduser and activ='n'";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->query($sql);
            $result = $stmt->fetchAll(PDO::FETCH_OBJ);
            //$result = $stmt->fetchAll(PDO::FETCH_INTO);
            $db = null;
            if (!empty($result)){
                return $result; 
            }
            else {
                return false;
            }
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function getNotifierById($idtrust) {

        $sql = "select * from tbl_trust where trustid=$idtrust";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->query($sql);
            $result = $stmt->fetchAll(PDO::FETCH_OBJ);
            //$result = $stmt->fetchAll(PDO::FETCH_INTO);
            $db = null;
            if (!empty($result)){
                return $result; 
            }
            else {
                return false;
            }
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

    public function acceptNotifierById($idtrust) {

        $sql = "update tbl_trust set activ='y' where trustid=$idtrust";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->prepare($sql);
            $result = $stmt->execute();
            return $result;
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }

     public function denyNotifierById($idtrust) {

        $sql = "delete from tbl_trust where trustid=$idtrust";

        try {
            $rdb = new RecolyDB();
            $db = $rdb->getConnection();
            $stmt = $db->prepare($sql);
            $result = $stmt->execute();
            return $result;
        } catch(PDOException $e) {
            echo '{"error":{"text":'. $e->getMessage() .'}}';
        }
    }
}

?>