<?php

require_once 'controllers/RemindersController.php';
require_once 'models/RemindersModel.php';

// iniciem la sessió i obtenim l'id usuari
session_start();

if(isset($_SESSION['iduser'])) {
    $iduser = $_SESSION['iduser'];
}

// Instanciem el controlador de records i obtenim les notificacions pendents per l'usuari
$reminderController = new RemindersController();
$notifiers = $reminderController->getNotifiers($iduser);

?>

<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Recoly | Share your moments</title>
    <meta name="description" content="Share your best moments with your trust friend's circles.">
    <meta name="author" content="Sergio Cantón Gavilán (scantong@uoc.edu)">
    <!-- Mobile viewport optimization http://goo.gl/b9SaQ -->
    <meta name="HandheldFriendly" content="True">
    <meta name="MobileOptimized" content="320">
    <meta http-equiv="cleartype" content="on">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <!-- For iPhone 4 with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="assets/images/icon@2x.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="assets/images/icon-72.png">
    <link rel="apple-touch-icon-precomposed" href="assets/images/icon.png">
    <link rel="apple-touch-startup-image" href="assets/images/default.png">
    <!-- Main Stylesheet -->
    <link rel="stylesheet" href="./lungo.js/lungo-1.2.css">
    <link rel="stylesheet" href="./lungo.js/lungo.theme.default.css">

    <!-- CSS3 -->
    <style>
        @-webkit-keyframes flow-show {
            0% { -webkit-transform: translateX(100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }

        @-webkit-keyframes flow-show-revoke {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(100%) scale(.7);}
        }

        @-webkit-keyframes flow-hide {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7); }
            100% { -webkit-transform: translateX(-100%) scale(.7); }
        }

        @-webkit-keyframes flow-hide-revoke {
            0% { -webkit-transform: translateX(-100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }
    </style>
</head>

<body class="app">

    <section id="search">
        <header data-title="My Notifiers">
            <a href="#menu-aside" class="button onleft" data-target="aside" data-icon="items"></a>
        </header>

        <article id="notifiers" class="list scrollable">
            <ul class="form">
                <form name="reminderpost" id="reminderpost" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
                    <ul>        
                        <?php
                            // L'usuari té sol·licituds pendents
                            if(!empty($notifiers)){
                                $n = count($notifiers);

                                // Obtenim la informació de cada sol·licitud i la llistem
                                // element llista de LungoJS
                                foreach($notifiers as $key=>$value) {
                                    $useremail = $reminderController->getUserEmail($notifiers[0]->iduserfrom);
                                    ?>
                                    <li data-icon="info">
                                        <a href="notifierInfo.php?idtrust=<?php echo $notifiers[0]->trustid; ?>"><u><?php echo $useremail[0]->useremail; ?> </u>has request to you</a>
                                    </li>
                            <?php
                                }
                            }else{
                                $n=0;
                            ?>
                                <!-- Sense sol·licituds pendents -->
                                <div class="text">Not results found</div>
                            <?php
                            }
                        ?>
                    </ul>
                </form>
            </ul>
        </article>

        <footer class="toolbar">
            <nav>
                <a href="#" data-target="article" data-icon="mail" data-count="<?php echo $n; ?>" disabled="true"></a>
            </nav>
        </footer>

    </section>

    <!-- LungoJS (Production mode) -->
    <script src="lungo.js/lungo-1.2.js"></script>
    <!-- LungoJS - Sandbox App -->
    <script src="app/app.js"></script>
    <script src="app/data.js"></script>
    <script src="app/events.js"></script>
    <script src="app/services.js"></script>
    <script src="app/view.js"></script>
</body>
</html>