<?php

require_once 'controllers/RemindersController.php';
require_once 'models/RemindersModel.php';
require_once 'library/variables.php';

// iniciem la sessió i obtenim l'id usuari
session_start();

if(isset($_SESSION['iduser'])) {
    $iduser = $_SESSION['iduser'];
}

if(isset($_GET['idtrust'])) {
    $idtrust = $_GET['idtrust'];
}

?>

<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Recoly | Share your moments</title>
    <meta name="description" content="Share your best moments with your trust friend's circles.">
    <meta name="author" content="Sergio Cantón Gavilán (scantong@uoc.edu)">
    <!-- Mobile viewport optimization http://goo.gl/b9SaQ -->
    <meta name="HandheldFriendly" content="True">
    <meta name="MobileOptimized" content="320">
    <meta http-equiv="cleartype" content="on">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <!-- For iPhone 4 with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="assets/images/icon@2x.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="assets/images/icon-72.png">
    <link rel="apple-touch-icon-precomposed" href="assets/images/icon.png">
    <link rel="apple-touch-startup-image" href="assets/images/default.png">
    <!-- Main Stylesheet -->
    <link rel="stylesheet" href="./lungo.js/lungo-1.2.css">
    <link rel="stylesheet" href="./lungo.js/lungo.theme.default.css">

    <!-- CSS3 -->
    <style>
        @-webkit-keyframes flow-show {
            0% { -webkit-transform: translateX(100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }

        @-webkit-keyframes flow-show-revoke {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(100%) scale(.7);}
        }

        @-webkit-keyframes flow-hide {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7); }
            100% { -webkit-transform: translateX(-100%) scale(.7); }
        }

        @-webkit-keyframes flow-hide-revoke {
            0% { -webkit-transform: translateX(-100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }
    </style>
</head>

<body class="app">

    <?php
        // Capturem l'acció de l'usuari davant la sol·licitud de participació
        if($_SERVER['REQUEST_METHOD']=='POST') {
            $idtrust = $_POST['idtrust'];
            
            if(isset($_POST['action'])){
                // Obtenim el controlador de records
                $reminderController = new RemindersController();

                // Capturem l'acció 'acceptar'
                if($_POST['action']=="accept") {
                    // passem al controlador l'acció corresponent per a que la gestioni amb el model
                    $res = $reminderController->acceptNotifier($_POST['idtrust']);
                    header("location: myNotifiers.php");
                }

                // Capturem l'acció 'rebutjar'
                if($_POST['action']=="deny") {
                    // passem al controlador l'acció corresponent per a que la gestioni amb el model
                    $res = $reminderController->denyNotifier($idtrust);
                    header("location: myNotifiers.php");
                }
            }
        }
    ?>

    <?php 
        
        // Instanciem el controlador de records
        $reminderController = new RemindersController();

        // Obtenim els camps de la informació al voltant de la sol·licitud
        $notifierInfo = $reminderController->getNotifierDetail($idtrust);

        // Obtenim l'usuari que envia la sol·licitud
        $userfrom = $reminderController->getUserEmail($notifierInfo[0]->iduserfrom);
        
        // Obtenim l'usuari que rep la sol·licitud
        $userto = $reminderController->getUserEmail($iduser);

        // Obtenim el títol del record associat a la sol·licitud
        $remtitle = $reminderController->getReminderTitle($notifierInfo[0]->reminderid);
    ?>

    <section id="notifierinfo">

        <header data-title="Notifier Detail">
            <a href="#menu-aside" class="button onleft" data-target="aside" data-icon="items"></a>
            <nav class="onright">
                <a href="myNotifiers.php" data-target="article" class="current" data-icon="left"></a>
            </nav>
        </header>

        <article id="notifierdetails" class="list scrollable indented">
            <ul>
                <li class="anchor" data-icon="user">User:</li>
                <li><label><?php echo $userfrom[0]->useremail; ?></label></li>
                <li class="anchor" data-icon="picture">Requests access to post in reminder:</li>
                <li><label><?php echo $remtitle[0]->title; ?></label></li>
                
                <!-- ACCEPT -->
                <form name="participate_accept" id="participate_accept" action=
            <?php
                echo "'".$_SERVER['PHP_SELF']."'";
            ?>
                 method="post">
                 <a href="#acceptnotifier" id="accept" data-target="section" class="button big orange">Accept</a>
                 <input type='hidden' name='action' id='action' value='accept'>
                 <input type='hidden' name='idtrust' id='idtrust' value='<?php echo $notifierInfo[0]->trustid; ?>'>
                 </form>

                 
                 <!-- DENY -->
                 <form name="participate_deny" id="participate_deny" action=
            <?php
                echo "'".$_SERVER['PHP_SELF']."'";
            ?>
                 method="post">
                 <a href="#denynotifier" id="deny" data-target="section" class="button big orange">Deny</a>
                 <input type='hidden' name='action' id='action' value='deny'>
                 <input type='hidden' name='idtrust' id='idtrust' value='<?php echo $notifierInfo[0]->trustid; ?>'>                 
                 </form>
                
            </ul>
        </article>
    </section>

    <!-- LungoJS (Production mode) -->
    <script src="lungo.js/lungo-1.2.js"></script>
    <!-- LungoJS - Sandbox App -->
    <script src="app/app.js"></script>
    <script src="app/data.js"></script>
    <script src="app/events.js"></script>
    <script src="app/services.js"></script>
    <script src="app/view.js"></script>
</body>
</html>