<?php

require_once 'controllers/RemindersController.php';
require_once 'models/RemindersModel.php';

// iniciem la sessió i obtenim l'id usuari
session_start();

if(isset($_SESSION['iduser'])) {
    $iduser = $_SESSION['iduser'];
}

?>

<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Recoly | Share your moments</title>
    <meta name="description" content="Share your best moments with your trust friend's circles.">
    <meta name="author" content="Sergio Cantón Gavilán (scantong@uoc.edu)">
    <!-- Mobile viewport optimization http://goo.gl/b9SaQ -->
    <meta name="HandheldFriendly" content="True">
    <meta name="MobileOptimized" content="320">
    <meta http-equiv="cleartype" content="on">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <!-- For iPhone 4 with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="assets/images/icon@2x.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="assets/images/icon-72.png">
    <link rel="apple-touch-icon-precomposed" href="assets/images/icon.png">
    <link rel="apple-touch-startup-image" href="assets/images/default.png">
    <!-- Main Stylesheet -->
    <link rel="stylesheet" href="./lungo.js/lungo-1.2.css">
    <link rel="stylesheet" href="./lungo.js/lungo.theme.default.css">

    <!-- CSS3 -->
    <style>
        @-webkit-keyframes flow-show {
            0% { -webkit-transform: translateX(100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }

        @-webkit-keyframes flow-show-revoke {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(100%) scale(.7);}
        }

        @-webkit-keyframes flow-hide {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7); }
            100% { -webkit-transform: translateX(-100%) scale(.7); }
        }

        @-webkit-keyframes flow-hide-revoke {
            0% { -webkit-transform: translateX(-100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }
    </style>
</head>

<body class="app">

    <!-- ============================= Header Section ============================= -->

    <section id="reminder">
        <header data-title="New reminder">
            <a href="#menu-aside" class="button onleft" data-target="aside" data-icon="items"></a>
        </header>

        <?php

            // Capturem accio creació nou record
            if($_SERVER['REQUEST_METHOD']=='POST'){     

                $emptyFields = false;

                // Comprovació dels camps del formulari
                if (isset($_POST['title']) && $_POST['title']!="" && isset($_POST['description']) && $_POST['description']!=""){
                    
                    // Instanciem un objecte controlador de records
                    $reminderController = new RemindersController();
                    
                    // Enviem al controlador l'acció per a la creació del nou record
                    $idRem = $reminderController->newReminder($iduser, utf8_encode($_POST['title']), utf8_encode($_POST['description']));
                    
                    // Record creat
                    if($idRem != ""){

                        // Registrem la id del record a la sessió per a garantir la integritat de la webapp
                        $_SESSION['reminder'] = $idRem;

                        // Redireccionem l'usuari a la següent secció -> creació publicació associada al record
                        header("location: reminderPost.php");
                    }

                }else {
                    $emptyFields = true;
                }   

                
            }
        ?>

        <!-- ======================== Reminder form ===================== -->
        <article id="reminderform" class="list">
            <ul class="form">
                <form name="reminder" id="reminder" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
                <li class="anchor" data-icon="edit">New Reminder</li>
                <li>
                    <label>Title</label>
                    <input type="text" name="title" id="title" value="" placeholder="Name your reminder"/>
                    <label>Description</label>
                    <input type="textarea" name="description" id="description" value="" placeholder="How do you describe your reminder?"/>
                </li>
                <li>
                    <a href="#newpost" data-target="section" class="button big orange">Create</a>

                    <?php
                        if(isset($emptyFields) && $emptyFields) { 
                    ?>
                        <!--<label red> Empty fields </label>-->
                        <li class="anchor" data-icon="warning">Empty fields</li>
                    <?php } ?>

                </li>
                </form>
            </ul>
        </article>
    </section>
    
    <!-- LungoJS (Production mode) -->
    <script src="lungo.js/lungo-1.2.js"></script>
    <!-- LungoJS - Sandbox App -->
    <script src="app/app.js"></script>
    <script src="app/data.js"></script>
    <script src="app/events.js"></script>
    <script src="app/services.js"></script>
    <script src="app/view.js"></script>
</body>
</html>