<?php

require_once 'controllers/RemindersController.php';
require_once 'models/RemindersModel.php';
require_once 'library/variables.php';

// iniciem la sessió i obtenim l'id usuari
session_start();

if(isset($_SESSION['iduser'])) {
    $iduser = $_SESSION['iduser'];
}

if(isset($_SESSION['reminder']) && !isset($_GET['idrem'])) {
    $idrem = $_SESSION['reminder'];
}else{
    $idrem = $_GET['idrem'];
    $_SESSION['reminder'] = $idrem;
}

?>

<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Recoly | Share your moments</title>
    <meta name="description" content="Share your best moments with your trust friend's circles.">
    <meta name="author" content="Sergio Cantón Gavilán (scantong@uoc.edu)">
    <!-- Mobile viewport optimization http://goo.gl/b9SaQ -->
    <meta name="HandheldFriendly" content="True">
    <meta name="MobileOptimized" content="320">
    <meta http-equiv="cleartype" content="on">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <!-- For iPhone 4 with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="assets/images/icon@2x.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="assets/images/icon-72.png">
    <link rel="apple-touch-icon-precomposed" href="assets/images/icon.png">
    <link rel="apple-touch-startup-image" href="assets/images/default.png">
    <!-- Main Stylesheet -->
    <link rel="stylesheet" href="./lungo.js/lungo-1.2.css">
    <link rel="stylesheet" href="./lungo.js/lungo.theme.default.css">

    <!-- CSS3 -->
    <style>
        @-webkit-keyframes flow-show {
            0% { -webkit-transform: translateX(100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }

        @-webkit-keyframes flow-show-revoke {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(100%) scale(.7);}
        }

        @-webkit-keyframes flow-hide {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7); }
            100% { -webkit-transform: translateX(-100%) scale(.7); }
        }

        @-webkit-keyframes flow-hide-revoke {
            0% { -webkit-transform: translateX(-100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }
    </style>
</head>

<body class="app">

    <?php
        // Capturem l'acció de l'usuari per enviar una sol·licitud de participació
        if($_SERVER['REQUEST_METHOD']=='POST') {
            
            if(isset($_POST['remid']) && isset($_POST['iduserto'])){

                // Instanciem un objecte controlador de records
                $reminderController = new RemindersController();

                // Enviem la petició al controlador
                $request = $reminderController->sendTrustRequest($iduser, $_POST['iduserto'], $_POST['remid']);
                if($request != 0) $requestResult = true;
            }
        }
    ?>

    <?php 
        
        // Instanciem un objecte controlador de records
        $reminderController = new RemindersController();

        // Obtenim la informació del record del controlador de records
        $remInfoDetails = $reminderController->getReminderInfo($idrem);

        // Obtenim les publicacions associats al record
        $posts = $reminderController->getReminderPosts($remInfoDetails[0]->reminderid);
        $comments = 0;

        // Obtenim els comentaris associats a cada publicació del record
        foreach($posts as $key=>$value) {
            $c_post = $reminderController->getReminderPostComments($posts[$key]->rempostid);
            $comments += count($c_post);
        }
    ?>

    <section id="reminderinfo">

        <header data-title="Reminder Info">
            <a href="#menu-aside" class="button onleft" data-target="aside" data-icon="items"></a>
            <nav class="onright">
                <a href="<?php echo $path; ?>myReminders.php" data-target="article" class="current" data-icon="left"></a>
            </nav>
        </header>

        <article id="remdetails" class="list scrollable indented">
            <ul>
                <li class="anchor" data-icon="user">Owner</li>
                <?php $useremail = $reminderController->getUserEmail($remInfoDetails[0]->userid); ?>
                <li><label><?php echo $useremail[0]->useremail; ?></label></li>
                <li class="anchor" data-icon="file">Title</li>
                <li><label><?php echo utf8_decode($remInfoDetails[0]->title); ?></label></li>
                <li class="anchor" data-icon="files">Description</li>
                <li><label><i><?php echo utf8_decode($remInfoDetails[0]->description); ?></i></label></li>
                <li class="anchor" data-icon="calendar">Creation Date</li>
                <li><label><?php echo date('Y-m-d H:m:s',$remInfoDetails[0]->regdate); ?></label></li>
                <li class="anchor" data-icon="picture">Posts</li>
                <li><label><?php echo count($posts); ?></label></li>
                <li class="anchor" data-icon="chat">Comments</li>
                <li><label><?php echo $comments; ?></label></li>

                <li>
                    <?php
                        
                        // LA propietat del record que consultem no em pertany
                        if($remInfoDetails[0]->userid != $iduser) {
                            
                            // Comprovem l'existencia de la sol·licitud prèvia i el seu estat (activa 'Y,N')
                            $exists = $reminderController->existsTrustRequest($iduser, $remInfoDetails[0]->userid, $remInfoDetails[0]->reminderid); 
                            $pending = $reminderController->pendingTrustRequest($iduser, $remInfoDetails[0]->userid, $remInfoDetails[0]->reminderid); 
                                
                                // Estat sol·licitud actual i estat
                                if(!$exists && $pending) {
                    ?>
                            <label>Status: waiting for approvation</label>
                    <?php
                                // No em pertany i no tinc drets de publicació -> podem fer petició per participar-hi
                                }elseif(!$exists) {
                    ?>
                            <form name="participate" id="participate" action=
                    <?php 
                        echo "'".$_SERVER['PHP_SELF']."'";
                    ?>
                            method="post">
                            <!--<input type='submit' name='send' id='send' value='Participate' />-->
                            <a href='#sendrequest' id='request' data-target='section' class='button small orange'>Participate</a>
                            <input type='hidden' name='remid' id='remid' value='<?php echo $remInfoDetails[0]->reminderid; ?>'>
                            <input type='hidden' name='iduserto' id='iduserto' value='<?php echo $remInfoDetails[0]->userid; ?>'>
                            </form>

                            <!--<a href='<?php echo $path;?>reminderPost.php' data-target='section' class='button small orange'>Participate</a>-->
                    <?php
                            }else {
                            // No em pertany pero hi tinc drets de publicació
                    ?>
                            <a href='<?php echo $path;?>reminderPost.php' data-target='section' class='button small orange'>New Post</a>
                    <?php
                            }
                        }else{
                            // És un record que em pertany
                    ?>
                            <a href='<?php echo $path;?>reminderPost.php' data-target='section' class='button small orange'>New Post</a>
                    <?php
                        }
                    ?>
                </li>
            </ul>
        </article>
    </section>

    <!-- LungoJS (Production mode) -->
    <script src="lungo.js/lungo-1.2.js"></script>
    <!-- LungoJS - Sandbox App -->
    <script src="app/app.js"></script>
    <script src="app/data.js"></script>
    <script src="app/events.js"></script>
    <script src="app/services.js"></script>
    <script src="app/view.js"></script>
</body>
</html>