<?php

require_once 'controllers/RemindersController.php';
require_once 'models/RemindersModel.php';

// iniciem la sessió i obtenim l'id usuari
session_start();

if(isset($_SESSION['iduser'])) {
    $iduser = $_SESSION['iduser'];
}

if(isset($_SESSION['reminder'])) {
    $idrem = $_SESSION['reminder'];
}

?>

<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Recoly | Share your moments</title>
    <meta name="description" content="Share your best moments with your trust friend's circles.">
    <meta name="author" content="Sergio Cantón Gavilán (scantong@uoc.edu)">
    <!-- Mobile viewport optimization http://goo.gl/b9SaQ -->
    <meta name="HandheldFriendly" content="True">
    <meta name="MobileOptimized" content="320">
    <meta http-equiv="cleartype" content="on">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <!-- For iPhone 4 with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="assets/images/icon@2x.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="assets/images/icon-72.png">
    <link rel="apple-touch-icon-precomposed" href="assets/images/icon.png">
    <link rel="apple-touch-startup-image" href="assets/images/default.png">
    <!-- Main Stylesheet -->
    <link rel="stylesheet" href="./lungo.js/lungo-1.2.css">
    <link rel="stylesheet" href="./lungo.js/lungo.theme.default.css">

    <!-- CSS3 -->
    <style>
        @-webkit-keyframes flow-show {
            0% { -webkit-transform: translateX(100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }

        @-webkit-keyframes flow-show-revoke {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(100%) scale(.7);}
        }

        @-webkit-keyframes flow-hide {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7); }
            100% { -webkit-transform: translateX(-100%) scale(.7); }
        }

        @-webkit-keyframes flow-hide-revoke {
            0% { -webkit-transform: translateX(-100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }
    </style>
</head>

<body class="app">

    <!-- ============================= Welcome Section ============================= -->

    <section id="reminder">
        <header data-title="New reminder post">
            <a href="#menu-aside" class="button onleft" data-target="aside" data-icon="items"></a>
        </header>

        <?php

            // Capturem l'acció de l'usuari per crear una nova publicació associada a un record
            if($_SERVER['REQUEST_METHOD']=='POST'){     

                $emptyFields = false;
                $image = "";

                // Comprovem l'estat dels camps del formulari
                if (isset($_POST['text']) && $_POST['text']!="" && isset($_POST['emotion']) && $_POST['emotion']!=0) {
                    

                    // Camp opcional: hi ha imatge url a internet (versió actual de la webapp només permet imatge a internet)
                    if(isset($_POST['image']) && $_POST['image']!="") {
                        $image = $_POST['image'];
                    }
                    
                    //newReminderPost($idrem, $iduser, $text, $photopath="")
                    $reminderController = new RemindersController();
                    $idRemPost = $reminderController->newReminderPost($idrem, $iduser, utf8_encode($_POST['text']), $image, $_POST['emotion']);
                    
                    // Publicació creada amb èxit
                    if($idRemPost != ""){
                        //$_SESSION['reminder'] = $idRem;
                        header("location: main.php");
                    }

                }else {
                    $emptyFields = true;
                }   

                
            }
        ?>

        <!-- ======================== Reminder Post form ===================== -->
        <article id="reminder" class="list">
            <ul class="form">
                <form name="reminderpost" id="reminderpost" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
                <li class="anchor" data-icon="edit">New Post</li>
                <li>
                    <label>Text</label>
                    <input type="text" name="text" id="text" value="" placeholder="What are you thinking about?"/>
                    <label>Share Image</label>
                    <input type="textarea" name="image" id="image" value="" placeholder="Select your reminder image from url"/>
                </li>
                <li>
                <?php

                    $reminderController = new RemindersController();
                    $emotions = $reminderController->getEmotions();

                ?>
                    <label class="select">
                        <select class="emotion" id="emotion" name="emotion">
                            <option value="0">Choose an emotion</option>
                            <?php
                                foreach($emotions as $key=>$value) {
                                    echo "<option value='".$emotions[$key]->emotionid."'>".$emotions[$key]->emotion."</option>";
                                }
                            ?>
                        </select>
                    </label>
                </li>
                <li>
                    <a href="#newrempost" data-target="section" class="button big orange">Publish</a>

                    <?php
                        if(isset($emptyFields) && $emptyFields) { 
                    ?>
                        <!--<label red> Empty fields </label>-->
                        <li class="anchor" data-icon="warning">Empty fields</li>
                    <?php } ?>

                </li>
                </form>
            </ul>
        </article>
    </section>
    
    <!-- LungoJS (Production mode) -->
    <script src="lungo.js/lungo-1.2.js"></script>
    <!-- LungoJS - Sandbox App -->
    <script src="app/app.js"></script>
    <script src="app/data.js"></script>
    <script src="app/events.js"></script>
    <script src="app/services.js"></script>
    <script src="app/view.js"></script>
</body>
</html>