<?php

require_once 'controllers/RemindersController.php';
require_once 'models/RemindersModel.php';
require_once 'library/variables.php';

// iniciem la sessió i obtenim l'id usuari
session_start();

if(isset($_SESSION['iduser'])) {
    $iduser = $_SESSION['iduser'];
}

?>

<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>Recoly | Share your moments</title>
    <meta name="description" content="Share your best moments with your trust friend's circles.">
    <meta name="author" content="Sergio Cantón Gavilán (scantong@uoc.edu)">
    <!-- Mobile viewport optimization http://goo.gl/b9SaQ -->
    <meta name="HandheldFriendly" content="True">
    <meta name="MobileOptimized" content="320">
    <meta http-equiv="cleartype" content="on">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <!-- For iPhone 4 with high-resolution Retina display: -->
    <link rel="apple-touch-icon-precomposed" sizes="114x114" href="assets/images/icon@2x.png">
    <link rel="apple-touch-icon-precomposed" sizes="72x72" href="assets/images/icon-72.png">
    <link rel="apple-touch-icon-precomposed" href="assets/images/icon.png">
    <link rel="apple-touch-startup-image" href="assets/images/default.png">
    <!-- Main Stylesheet -->
    <link rel="stylesheet" href="./lungo.js/lungo-1.2.css">
    <link rel="stylesheet" href="./lungo.js/lungo.theme.default.css">

    <!-- CSS3 -->
    <style>
        @-webkit-keyframes flow-show {
            0% { -webkit-transform: translateX(100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }

        @-webkit-keyframes flow-show-revoke {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(100%) scale(.7);}
        }

        @-webkit-keyframes flow-hide {
            0% { -webkit-transform: translateX(0%) scale(1); }
            50% { -webkit-transform: translateX(0%) scale(.7); }
            100% { -webkit-transform: translateX(-100%) scale(.7); }
        }

        @-webkit-keyframes flow-hide-revoke {
            0% { -webkit-transform: translateX(-100%) scale(.7); }
            50% { -webkit-transform: translateX(0%) scale(.7);}
            100% { -webkit-transform: translateX(0%) scale(1);}
        }
    </style>
</head>

<body class="app">

    <section id="search">
        <header data-title="Search Reminders">
            <a href="#menu-aside" class="button onleft" data-target="aside" data-icon="items"></a>
        </header>
        
        <?php

            // Capturem l'acció de l'usuari de cerca de record
            if($_SERVER['REQUEST_METHOD']=='POST'){ 

                // Comprovem l'estat del camp de cerca
                if(isset($_POST['text']) && $_POST['text']!="") {
                    
                    // Instanciem un objecte controlador de records
                    $reminderController = new RemindersController();

                    // Enviem l'ordre al controlador per a realitzar la cerca mitjançant el títol del record
                    $reminders = $reminderController->searchReminders(strtolower($_POST['text']));
                }
            }
        ?>

        <article id="searchlist" class="list scrollable">
            <ul class="form">
                <form name="reminderpost" id="reminderpost" action="<?php echo $_SERVER['PHP_SELF']; ?>" method="post">
                    <ul>
                        <li>
                            <input type="text" name="text" id="text" value="" placeholder="Search reminder by title"/>
                            <a href="#search" data-icon="search mini" class="button big orange">Search</a>
                        </li>
        
                        <!--<li data-search="type a text for search ..." name="text" id="text"></li>-->
                        <li class="anchor" data-icon="tag">Results</li>
                        <?php
                            // Obtenim resultats de la cerca
                            if(!empty($reminders)){
                                // Per a cada resultat el llistem a l'element llista scrollable de LungoJS
                                foreach($reminders as $key=>$value) {
                                    ?>
                                    <li data-icon="tag"><div class="text">
                                    <?php
                                        echo "<a href='".$path."reminderInfo.php?idrem=".$reminders[$key]->reminderid."'>".$reminders[$key]->title."</a>";
                                    ?>
                                    </div>
                                <?php
                                }
                            }else{
                            ?>
                                <div class="text">Not results found</div>
                            <?php
                            }
                        ?>
                        <!--<li data-icon="tag">
                            <div class="text"><a href="reminderInfo.php">Exemple de resultat de cerca</a></div>
                        </li>-->
                    </ul>
                </form>
            </ul>
        </article>
    </section>

    <!-- LungoJS (Production mode) -->
    <script src="lungo.js/lungo-1.2.js"></script>
    <!-- LungoJS - Sandbox App -->
    <script src="app/app.js"></script>
    <script src="app/data.js"></script>
    <script src="app/events.js"></script>
    <script src="app/services.js"></script>
    <script src="app/view.js"></script>
</body>
</html>